#pragma once

#include "CoreMinimal.h"
#include "CageRescueInteraction.h"
#include "DeathBedRescueInteraction.generated.h"

class ASurvivor;

UCLASS(Blueprintable, EditInlineNew, meta=(BlueprintSpawnableComponent))
class UDeathBedRescueInteraction : public UCageRescueInteraction
{
	GENERATED_BODY()

private:
	UFUNCTION(BlueprintCallable, NetMulticast, Reliable)
	void Multicast_OnRescueCancelled(ASurvivor* cagedSurvivor);

public:
	UDeathBedRescueInteraction();
};

FORCEINLINE uint32 GetTypeHash(const UDeathBedRescueInteraction) { return 0; }
